Package org.linphone.core

# Enum Class EventLog.SecurityEventType

java.lang.Object
java.lang.Enum<EventLog.SecurityEventType>
org.linphone.core.EventLog.SecurityEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<EventLog.SecurityEventType>`, `Constable`

Enclosing interface:
  EventLog

public static enum EventLog.SecurityEventType extends Enum<EventLog.SecurityEventType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EncryptionIdentityKeyChanged`
Peer device instant messaging encryption identity key has changed event.
`ManInTheMiddleDetected`
Man in the middle detected event.
`None`
Event is not a security event.
`ParticipantMaxDeviceCountExceeded`
Participant has exceeded the maximum number of device event.
`SecurityLevelDowngraded`
Chatroom security level downgraded event.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static EventLog.SecurityEventType`
`fromInt(int value)`
`int`
`toInt()`
`static EventLog.SecurityEventType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EventLog.SecurityEventType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final EventLog.SecurityEventType None
Event is not a security event.

### SecurityLevelDowngraded

public static final EventLog.SecurityEventType SecurityLevelDowngraded
Chatroom security level downgraded event.

### ParticipantMaxDeviceCountExceeded

public static final EventLog.SecurityEventType ParticipantMaxDeviceCountExceeded
Participant has exceeded the maximum number of device event.

### EncryptionIdentityKeyChanged

public static final EventLog.SecurityEventType EncryptionIdentityKeyChanged
Peer device instant messaging encryption identity key has changed event.

### ManInTheMiddleDetected

public static final EventLog.SecurityEventType ManInTheMiddleDetected
Man in the middle detected event.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static EventLog.SecurityEventType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EventLog.SecurityEventType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static EventLog.SecurityEventType fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()